summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMohammadreza Abdollahzadeh2017-07-29 21:55:55 +0430
committerMohammadreza Abdollahzadeh2017-07-29 21:55:55 +0430
commitb124656efaed22cd003b97de7d802c03f8e6308a (patch)
tree42028449a5e4cb778280a0a7c42326ec8113b4a1
parent3df766d2845df006595217515ffabcd56513fb17 (diff)
downloadaur-b124656efaed22cd003b97de7d802c03f8e6308a.tar.gz
fix PKGBUILD and desktop file and change version number
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD32
-rw-r--r--retext-git.install13
-rw-r--r--retext.desktop1
4 files changed, 31 insertions, 34 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 0540d2e6ef6..4a8d1b8f94a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,10 @@
+# Generated by mksrcinfo v8
+# Sat Jul 29 17:23:52 UTC 2017
pkgbase = retext-git
- pkgdesc = A simple editor for Markdown and ReStructuredText markup languages
- pkgver = 20170125
+ pkgdesc = A simple editor for Markdown and ReStructuredText markup languages.
+ pkgver = 7.0.0.r33.g5f5fe0c
pkgrel = 1
- url = http://retext.sourceforge.net/
- install = retext-git.install
+ url = https://github.com/retext-project/retext
arch = any
license = GPL3
makedepends = imagemagick
@@ -20,14 +21,14 @@ pkgbase = retext-git
optdepends = python-pyenchant: for spell checking support
provides = retext
conflicts = retext
- source = retext-git::git+https://github.com/retext-project/retext
+ source = retext-git::git+https://github.com/retext-project/retext.git
source = retext.desktop
source = x-retext-markdown.xml
source = x-retext-rst.xml
- md5sums = SKIP
- md5sums = ac6cb2a020238fe03f0f52610c976cdd
- md5sums = 48becfce7b920c7a2b875626386d1e74
- md5sums = 8c32c71bc2b2f49e15595a1808780d42
+ sha256sums = SKIP
+ sha256sums = a784275c951b330c2fc2ac2f5ac82b457ca09d37a0cf6e9e27e1e5716084d118
+ sha256sums = b51611479d3224eec2b58264ed91ace3eccb502b7b806dae3e7a3ab4aab8c4b8
+ sha256sums = 6fef80cccb14813d9cc74810c397a6cd7831d1ca243536759a47c6e8b6cc977a
pkgname = retext-git
diff --git a/PKGBUILD b/PKGBUILD
index df8789d5000..aa0558986f2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,11 +1,12 @@
-# Maintainer: Jan Korte <j.korte@me.com>
+# Maintainer: Mohammadreza Abdollahzadeh <morealaz at gmail dot com>
+# Co-maintainer: Jan Korte <j.korte@me.com>
pkgname=retext-git
-pkgver=20170125
+pkgver=7.0.0.r33.g5f5fe0c
pkgrel=1
-pkgdesc="A simple editor for Markdown and ReStructuredText markup languages"
+pkgdesc="A simple editor for Markdown and ReStructuredText markup languages."
arch=('any')
-url="http://retext.sourceforge.net/"
+url="https://github.com/retext-project/retext"
license=('GPL3')
depends=('python-pyqt5'
'python-markups'
@@ -17,17 +18,24 @@ makedepends=('imagemagick' 'git' 'qt5-tools')
optdepends=('python-markdown: for Markdown language support'
'python-docutils: for reStructuredText language support'
'python-pyenchant: for spell checking support')
-provides=('retext')
-conflicts=('retext')
-source=("$pkgname::git+https://github.com/retext-project/retext"
+provides=("${pkgname%-git}")
+conflicts=("${pkgname%-git}")
+source=("$pkgname::git+${url}.git"
"retext.desktop"
"x-retext-markdown.xml"
"x-retext-rst.xml")
-install="$pkgname".install
-md5sums=('SKIP'
- 'ac6cb2a020238fe03f0f52610c976cdd'
- '48becfce7b920c7a2b875626386d1e74'
- '8c32c71bc2b2f49e15595a1808780d42')
+sha256sums=('SKIP'
+ 'a784275c951b330c2fc2ac2f5ac82b457ca09d37a0cf6e9e27e1e5716084d118'
+ 'b51611479d3224eec2b58264ed91ace3eccb502b7b806dae3e7a3ab4aab8c4b8'
+ '6fef80cccb14813d9cc74810c397a6cd7831d1ca243536759a47c6e8b6cc977a')
+
+pkgver() {
+ cd "${srcdir}/${pkgname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
build () {
cd $srcdir/$pkgname/locale
diff --git a/retext-git.install b/retext-git.install
deleted file mode 100644
index dce6213dce4..00000000000
--- a/retext-git.install
+++ /dev/null
@@ -1,13 +0,0 @@
-post_install() {
- xdg-icon-resource forceupdate --theme hicolor &>/dev/null
- update-desktop-database -q
- update-mime-database usr/share/mime &>/dev/null
-}
-
-post_upgrade() {
- post_install
-}
-
-post_remove() {
- post_install
-}
diff --git a/retext.desktop b/retext.desktop
index 01dd14df53d..3c7c78f5463 100644
--- a/retext.desktop
+++ b/retext.desktop
@@ -7,5 +7,6 @@ Exec=retext %F
Icon=retext
Terminal=false
Type=Application
+StartupWMClass=retext
Categories=Office;
MimeType=text/x-retext-markdown;text/x-retext-rst;